GNU bug report logs - #37364
[PATCH 0/1] Add z for zsh

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: "Collin J. Doering" <collin@HIDDEN>; Keywords: fixed patch; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug closed, send any further explanations to 37364 <at> debbugs.gnu.org and "Collin J. Doering" <collin@HIDDEN> Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 37364 <at> debbugs.gnu.org:


Received: (at 37364) by debbugs.gnu.org; 13 Sep 2019 08:49:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 13 04:49:23 2019
Received: from localhost ([127.0.0.1]:44311 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i8hGd-0003QR-LD
	for submit <at> debbugs.gnu.org; Fri, 13 Sep 2019 04:49:23 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39533)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1i8hGY-0003Py-4T
 for 37364 <at> debbugs.gnu.org; Fri, 13 Sep 2019 04:49:22 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49814)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1i8hF7-00051f-IA; Fri, 13 Sep 2019 04:49:12 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=49760 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1i8hF6-0007bf-MI; Fri, 13 Sep 2019 04:47:49 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "Collin J. Doering" <collin@HIDDEN>
Subject: Re: [bug#37364] [PATCH 1/1] gnu: Add z for zsh
References: <87woeg3mcy.fsf@HIDDEN> <87v9u03m3m.fsf@HIDDEN>
 <87d0g7vx6y.fsf@HIDDEN> <87lfuu2on5.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 27 Fructidor an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 13 Sep 2019 10:47:45 +0200
In-Reply-To: <87lfuu2on5.fsf@HIDDEN> (Collin J. Doering's message of
 "Wed, 11 Sep 2019 23:13:02 -0400")
Message-ID: <87r24k8tvy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37364
Cc: 37364 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hello,

"Collin J. Doering" <collin@HIDDEN> skribis:

> From f5fd56da740cd2576def4c01c3cc7003f1c9f2d7 Mon Sep 17 00:00:00 2001
> From: "Collin J. Doering" <collin@HIDDEN>
> Date: Wed, 11 Sep 2019 23:08:37 -0400
> Subject: [PATCH] gnu: Add sh-z shell tool
>
> * gnu/packages/shellutils.scm (sh-z): New variable.
>
> Signed-off-by: Collin J. Doering <collin@HIDDEN>

Applied with the tiny changes below.

Note: We reserve =E2=80=98Signed-off-by=E2=80=99 for those who commit on yo=
ur behalf, so
you don=E2=80=99t need to provide it.

Thank you,
Ludo=E2=80=99.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline

diff --git a/gnu/packages/shellutils.scm b/gnu/packages/shellutils.scm
index bbdfd0dadd..f901eaaa8f 100644
--- a/gnu/packages/shellutils.scm
+++ b/gnu/packages/shellutils.scm
@@ -34,7 +34,6 @@
   #:use-module (gnu packages ncurses)
   #:use-module (gnu packages readline)
   #:use-module (gnu packages pkg-config)
-  #:use-module (gnu packages compression)
   #:use-module (guix utils)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system go)
@@ -67,12 +66,13 @@
                     (bin (string-append out "/bin")))
                (install-file "z.sh" bin)
                (chmod (string-append bin "/z.sh") #o755)
-               (install-file "z.1" man)))))))
+               (install-file "z.1" man)
+               #t))))))
     (synopsis "Jump about directories")
     (description
      "Tracks your most used directories, based on ``frecency''.  After a short
 learning phase, z will take you to the most ``frecent'' directory that matches
-ALL of the regexes given on the command line in order.")
+all of the regexes given on the command line in order.")
     (home-page "https://github.com/rupa/z")
     (license license:expat)))
 

--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#37364; Package guix-patches. Full text available.

Message received at 37364 <at> debbugs.gnu.org:


Received: (at 37364) by debbugs.gnu.org; 12 Sep 2019 03:13:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 11 23:13:21 2019
Received: from localhost ([127.0.0.1]:42923 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i8FXo-00052e-Ug
	for submit <at> debbugs.gnu.org; Wed, 11 Sep 2019 23:13:21 -0400
Received: from mail-io1-f68.google.com ([209.85.166.68]:39212)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <collin@HIDDEN>) id 1i8FXn-00052S-2w
 for 37364 <at> debbugs.gnu.org; Wed, 11 Sep 2019 23:13:16 -0400
Received: by mail-io1-f68.google.com with SMTP id d25so51122078iob.6
 for <37364 <at> debbugs.gnu.org>; Wed, 11 Sep 2019 20:13:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rekahsoft.ca; s=google;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=taC6ZrfJJAfTqsgM1aoZMD3WrezXtfN/+EyXm+3PLJM=;
 b=J1cAXditkNmAoMBwM5p9yrlme27Ba43jSwj/3NdwE5QSTokhzIumx++cHSULFWZil+
 XUJW1zRvoQYMk7vkGNBtP2NDdnkNlZoQrJo+M0twj8vnlKkH+6qmzxHw8AzamZ2phsqJ
 xTjOtgaIDGFxfFhb5/JP/BgXTQdTrSIXY6toqh6u3snizJnqMhODGwebUeAFl/UKZYyc
 myOKE62nwjj40nHcwU+IqofzJ6DVYxDl7HMcIZyuuwQIBVm5z+8CWEpgAAwApPHh2ryu
 RsSJjJWz6apwq0AcHRPBThgTgtJ4I6hWS+xH0xNpPfa2lCpxbcTYQM1TpWMFX2mOjbRg
 RWCg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=taC6ZrfJJAfTqsgM1aoZMD3WrezXtfN/+EyXm+3PLJM=;
 b=EAr75J0BXM+xzcm1wBFfeHpzA9Y/dtB0QHz4kfs5UiptTZ7XheJLdVMDIqle1uw84X
 F97KIvYygWAoZsZfkcVMJwe5HlpN5zw6KXVziQTd0KK1T7BOS3I/nCI6DHsLs1HSOBGj
 gZV+7fiUrKhe7XZ9bHIN5B2YwAEJs1P/JUu2VDk5E7DvS4z3dJHOBkfZVnGrDa1kNHOz
 tG+OsiQ7AvbWQ58dhD/0qOr3Q8Wy6YSiY0RTc2SVUnhZw/iM5xF5KYwCocUVCjD/YgxZ
 olLjM82DBsmrps9xC6a/NUPaa/6i3GxJxtinTvJjcm/1dn+05zwkAwP8lUHbij1U+PVy
 wEkA==
X-Gm-Message-State: APjAAAVS78HlN9liHaBoUpW4OKEmkqNKLrl6sfJeUom+441EslNss3QR
 GdTp8YoRZ/iR+9O/6tp6yOmCUep631bjfw==
X-Google-Smtp-Source: APXvYqy1S/uaEGyJ0jei72+JBHQ0FkRStO4JJUYV68zW4XVGlVQIVom813pRfMqLi9SpcHOQZ3k+Ag==
X-Received: by 2002:a6b:8e0f:: with SMTP id q15mr1701693iod.186.1568257988814; 
 Wed, 11 Sep 2019 20:13:08 -0700 (PDT)
Received: from rekahsoft-mini ([2607:fea8:1c60:690::6])
 by smtp.gmail.com with ESMTPSA id b7sm21335139iod.78.2019.09.11.20.13.06
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 11 Sep 2019 20:13:07 -0700 (PDT)
References: <87woeg3mcy.fsf@HIDDEN> <87v9u03m3m.fsf@HIDDEN>
 <87d0g7vx6y.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.3
From: "Collin J. Doering" <collin@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#37364] [PATCH 1/1] gnu: Add z for zsh
In-reply-to: <87d0g7vx6y.fsf@HIDDEN>
Date: Wed, 11 Sep 2019 23:13:02 -0400
Message-ID: <87lfuu2on5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37364
Cc: 37364 <at> debbugs.gnu.org, "Collin J. Doering" <collin@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: multipart/signed; boundary="==-=-=";
	micalg=pgp-sha256; protocol="application/pgp-signature"

--==-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi Ludovic,

On 11 Sep 2019 at 08:23, Ludovic Court=C3=A8s wrote:

> Hello Collin,
>
> "Collin J. Doering" <collin@HIDDEN> skribis:
>
>> * gnu/packages/shellutils.scm (z): New variable.
>>
>> Signed-off-by: Collin J. Doering <collin@HIDDEN>
>
> [...]
>
>> +(define-public z
>> +  (package
>> +    (name "z")
>
> So far there=E2=80=99s only one package with a one-letter name.  I=E2=80=
=99d be tempted
> to rename =E2=80=9Cz=E2=80=9D to =E2=80=9Csh-z=E2=80=9D (because it works=
 with both Zsh and Bash) or
> something similar, WDYT?

I felt uncomfortable with just `z` so I'm happy to change it to `sh-z`.

>
>> +               (mkdir-p man-path)
>> +               (invoke "gzip" "z.1")
>> +               (copy-file "z.1.gz" (string-append man-path "/z.1.gz"))
>
> You can omit the =E2=80=9Cgzip=E2=80=9D invocation because the =E2=80=98c=
ompress-documentation=E2=80=99
> phase takes care of that, and passes the =E2=80=98-n=E2=80=99 flag, which=
 is important
> for bitwise reproducibility.

Makes sense, we wouldn't want timestamps. My mistake.

>
> Also, you can remove the =E2=80=98mkdir-p=E2=80=99 call and replace the =
=E2=80=98copy-file=E2=80=99 call
> with:
>
>   (install-file "z.1" man)
>
> Last: please remove =E2=80=98-path=E2=80=99 from variable names=E2=80=94i=
n GNU the convention is
> touse the term =E2=80=9Cpath=E2=80=9D only for search paths ($PATH, etc.)

Thanks for pointing this out. After going to review some uses of the
`install-file` function, I see this is certainly the case.

>
>> +    (synopsis "Jump about directories")
>> +    (description
>> +     "Tracks your most used directories, based on freecency.  After a s=
hort
>> +learning phase, z will take you to the most frecent directory that matc=
hes
>> +ALL of the regexes given on the command line in order.")
>
> It=E2=80=99s suggest writing =E2=80=9C``frecency''=E2=80=9D (with quotes)=
 to make it clear that
> it=E2=80=99s not a typo.  :-)

Agree.

>
> Could you send an updated patch?
>
> Thanks,
> Ludo=E2=80=99.

You will find an updated patch as part of this email with the above
changes.

Kind regards, and thanks for the helpful feedback.

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEE+NVG868371PRtki+e03rkyErMCIFAl15t78ACgkQe03rkyEr
MCKNkQf/THbkO1memh7C1gQAcgkP69I/0KlgjRLtxz4YDk36q80cE6VQS71LbjUj
qVYHYNpyt/3LxP2WPzjItIYCFxBwhyL1cnq1OPvc+acr3DjxJblW3Ft/LRznMRgU
lQun0jS5S0HqXTSsics6mHiVYGpogcGqVvSUfX6MXSGa71IXvzO91wNDRSG5HnL7
zDhAu5ox9+Hz/FGrkakTLV+3CHrvIjR1fAjnMQifzz3CRmZioc7YAsl8Oe/77Fcf
ZYF7V8yC/nOCtavyUKfqNlTaGhTfN8UVfZiPwMFNmrRneUoAVCzb5I6Y8DnGY9J6
MP9rHkxwM6z7fzJ/iVborbYypLqckQ==
=yHUL
-----END PGP SIGNATURE-----
--==-=-=--

--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: attachment; filename=0001-gnu-Add-sh-z-shell-tool.patch
Content-Transfer-Encoding: quoted-printable
Content-Description: 0001-gnu-Add-sh-z-shell-tool.patch

From f5fd56da740cd2576def4c01c3cc7003f1c9f2d7 Mon Sep 17 00:00:00 2001
From: "Collin J. Doering" <collin@HIDDEN>
Date: Wed, 11 Sep 2019 23:08:37 -0400
Subject: [PATCH] gnu: Add sh-z shell tool

* gnu/packages/shellutils.scm (sh-z): New variable.

Signed-off-by: Collin J. Doering <collin@HIDDEN>
---
 gnu/packages/shellutils.scm | 38 +++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/gnu/packages/shellutils.scm b/gnu/packages/shellutils.scm
index f7542ea759..bbdfd0dadd 100644
--- a/gnu/packages/shellutils.scm
+++ b/gnu/packages/shellutils.scm
@@ -5,6 +5,7 @@
 ;;; Copyright =C2=A9 2017 Stefan Reich=C3=B6r <stefan@HIDDEN>
 ;;; Copyright =C2=A9 2018 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright =C2=A9 2018 Benjamin Slade <slade@HIDDEN>
+;;; Copyright =C2=A9 2019 Collin J. Doering <collin@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -33,11 +34,48 @@
   #:use-module (gnu packages ncurses)
   #:use-module (gnu packages readline)
   #:use-module (gnu packages pkg-config)
+  #:use-module (gnu packages compression)
   #:use-module (guix utils)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system go)
   #:use-module (guix build-system python))
=20
+(define-public sh-z
+  (package
+    (name "sh-z")
+    (version "1.11")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/rupa/z.git")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "13zbgkj6y0qhvn5jpkrqbd4jjxjr789k228iwma5hjfh1nx7ghyb"))))
+    (build-system gnu-build-system)
+    (arguments
+     `(#:tests? #f ; No tests provided
+       #:phases
+       (modify-phases %standard-phases
+         (delete 'configure)
+         (delete 'build)
+         (replace 'install
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out"))
+                    (man (string-append out "/share/man/man1"))
+                    (bin (string-append out "/bin")))
+               (install-file "z.sh" bin)
+               (chmod (string-append bin "/z.sh") #o755)
+               (install-file "z.1" man)))))))
+    (synopsis "Jump about directories")
+    (description
+     "Tracks your most used directories, based on ``frecency''.  After a s=
hort
+learning phase, z will take you to the most ``frecent'' directory that mat=
ches
+ALL of the regexes given on the command line in order.")
+    (home-page "https://github.com/rupa/z")
+    (license license:expat)))
+
 (define-public envstore
   (package
     (name "envstore")
--=20
2.23.0


--=-=-=
Content-Type: text/plain


-- 
Collin J. Doering

http://rekahsoft.ca
http://blog.rekahsoft.ca
http://git.rekahsoft.ca

--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#37364; Package guix-patches. Full text available.

Message received at 37364 <at> debbugs.gnu.org:


Received: (at 37364) by debbugs.gnu.org; 11 Sep 2019 12:23:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 11 08:23:25 2019
Received: from localhost ([127.0.0.1]:42109 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i81ef-0003yD-LD
	for submit <at> debbugs.gnu.org; Wed, 11 Sep 2019 08:23:25 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39380)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1i81ee-0003y0-EX
 for 37364 <at> debbugs.gnu.org; Wed, 11 Sep 2019 08:23:24 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44951)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1i81eZ-0003BG-B8; Wed, 11 Sep 2019 08:23:19 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=40280 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1i81eY-0000xq-Rn; Wed, 11 Sep 2019 08:23:19 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "Collin J. Doering" <collin@HIDDEN>
Subject: Re: [bug#37364] [PATCH 1/1] gnu: Add z for zsh
References: <87woeg3mcy.fsf@HIDDEN> <87v9u03m3m.fsf@HIDDEN>
Date: Wed, 11 Sep 2019 14:23:17 +0200
In-Reply-To: <87v9u03m3m.fsf@HIDDEN> (Collin J. Doering's message of
 "Mon, 09 Sep 2019 22:45:49 -0400")
Message-ID: <87d0g7vx6y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37364
Cc: 37364 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello Collin,

"Collin J. Doering" <collin@HIDDEN> skribis:

> * gnu/packages/shellutils.scm (z): New variable.
>
> Signed-off-by: Collin J. Doering <collin@HIDDEN>

[...]

> +(define-public z
> +  (package
> +    (name "z")

So far there=E2=80=99s only one package with a one-letter name.  I=E2=80=99=
d be tempted
to rename =E2=80=9Cz=E2=80=9D to =E2=80=9Csh-z=E2=80=9D (because it works w=
ith both Zsh and Bash) or
something similar, WDYT?

> +               (mkdir-p man-path)
> +               (invoke "gzip" "z.1")
> +               (copy-file "z.1.gz" (string-append man-path "/z.1.gz"))

You can omit the =E2=80=9Cgzip=E2=80=9D invocation because the =E2=80=98com=
press-documentation=E2=80=99
phase takes care of that, and passes the =E2=80=98-n=E2=80=99 flag, which i=
s important
for bitwise reproducibility.

Also, you can remove the =E2=80=98mkdir-p=E2=80=99 call and replace the =E2=
=80=98copy-file=E2=80=99 call
with:

  (install-file "z.1" man)

Last: please remove =E2=80=98-path=E2=80=99 from variable names=E2=80=94in =
GNU the convention is
touse the term =E2=80=9Cpath=E2=80=9D only for search paths ($PATH, etc.)

> +    (synopsis "Jump about directories")
> +    (description
> +     "Tracks your most used directories, based on freecency.  After a sh=
ort
> +learning phase, z will take you to the most frecent directory that match=
es
> +ALL of the regexes given on the command line in order.")

It=E2=80=99s suggest writing =E2=80=9C``frecency''=E2=80=9D (with quotes) t=
o make it clear that
it=E2=80=99s not a typo.  :-)

Could you send an updated patch?

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#37364; Package guix-patches. Full text available.

Message received at 37364 <at> debbugs.gnu.org:


Received: (at 37364) by debbugs.gnu.org; 10 Sep 2019 14:41:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 10 10:41:47 2019
Received: from localhost ([127.0.0.1]:41555 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i7hKy-0007lk-B7
	for submit <at> debbugs.gnu.org; Tue, 10 Sep 2019 10:41:47 -0400
Received: from mail-io1-f45.google.com ([209.85.166.45]:42797)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <collin@HIDDEN>) id 1i7hKt-0007lU-0n
 for 37364 <at> debbugs.gnu.org; Tue, 10 Sep 2019 10:41:42 -0400
Received: by mail-io1-f45.google.com with SMTP id n197so38055271iod.9
 for <37364 <at> debbugs.gnu.org>; Tue, 10 Sep 2019 07:41:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rekahsoft.ca; s=google;
 h=user-agent:from:to:subject:date:message-id:mime-version;
 bh=YjW0HL1+E+0sdqqSo/Zn7sNpPUtpNYxv7FczCz3ly4U=;
 b=8hlWMnQzrq2s7hVZqg7QXkbSCluIqEl960P37v6Nf6Tdr7of7HlhMluQHDi+E9hzv1
 +Pra3Q8phRY9Zv4Mo5igc7c4smyg59JaNU9z65ZQPEyeSJdpVcLi5SUbektGGR7Omjna
 cfewuHlKA66HbFBbmR2BbIHxywmQa1ASHyu/qAaHntwFObrBjM2pmfc89amNGnVh9XFU
 sKcceWWM6h8KAImZjxE4K/4gxIRQdj3zmEqfalZU5hXAl+JN+rOAt55gBsTBc43Vp7DR
 Qv42T44s2tWsOM24X6Pk2sdUR6WKUtsxMFezexUUddm75f05jLSNQKNVrlRcAYWBR1NJ
 u5xw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:user-agent:from:to:subject:date:message-id
 :mime-version;
 bh=YjW0HL1+E+0sdqqSo/Zn7sNpPUtpNYxv7FczCz3ly4U=;
 b=N9t+du1MXBOJSNctj8ovQg0x1peVXPYnqrfLxojRS3GvkvQv1dhllqFPVUR6o00zyr
 eTvYXPqSNJy1XlKj3sLhnysg2owiPhdoky3rodBDfuBe1bvLA+SxfFWxX3BhOUfzaA4t
 6o3qI7oZ22W8m5JR3tASc862Ec/d+C5WfgXob9RPe0XpLr/GXm4Qo6/lFajelXFACdan
 REL4+ado5XMrWVGOx7DFTbcqityr6ImO6xTlXoKAKHnMgAEaWmyywWlPWbnFLwYftmav
 CVmwurlf4gNFOSA7RqQySZrqX1pCNYUPW8bHHtvM1t7pozWPF8CMlY923PCAfoGofsMe
 VgJg==
X-Gm-Message-State: APjAAAVnCkXhwZblFbycF1q4zxTAxSxvSG/t61LFTgb6zVw4PIX4YQV0
 oQNGopTqyeVZkcLBbgVQS5tz+COxCFHDu439
X-Google-Smtp-Source: APXvYqztUSNOKyATYEv2Pzg+YYyjDZux392kSGOJj4L+r7Tl4qNAjj7BCYSh38YRkDYF96EGqRtgig==
X-Received: by 2002:a02:b395:: with SMTP id p21mr33372145jan.52.1568126492902; 
 Tue, 10 Sep 2019 07:41:32 -0700 (PDT)
Received: from rekahsoft-mini ([2607:fea8:1c60:690::6])
 by smtp.gmail.com with ESMTPSA id z17sm12523470iog.51.2019.09.10.07.41.31
 for <37364 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 10 Sep 2019 07:41:32 -0700 (PDT)
User-agent: mu4e 1.0; emacs 26.3
From: "Collin J. Doering" <collin@HIDDEN>
To: 37364 <at> debbugs.gnu.org
Subject: [PATCH] - Amended: Add copyright line and gpg sign email
Date: Tue, 10 Sep 2019 10:41:30 -0400
Message-ID: <87pnk82oyt.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37364
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Did not add a copyright line to the modified file in this patch. I have
fixed this and updated the patch accordingly. Additionally I have signed
this email.

Kind regards,

-- 
Collin J. Doering

http://rekahsoft.ca
http://blog.rekahsoft.ca
http://git.rekahsoft.ca

--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: attachment; filename=0001-gnu-Add-z-for-zsh.patch
Content-Transfer-Encoding: quoted-printable

From 299cb02e12cc13dbdb762d6b4ea3ca791556dcaa Mon Sep 17 00:00:00 2001
From: "Collin J. Doering" <collin@HIDDEN>
Date: Tue, 10 Sep 2019 10:38:04 -0400
Subject: [PATCH] gnu: Add z for zsh

* gnu/packages/shellutils.scm (z): New variable.

Signed-off-by: Collin J. Doering <collin@HIDDEN>
---
 gnu/packages/shellutils.scm | 45 +++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)

diff --git a/gnu/packages/shellutils.scm b/gnu/packages/shellutils.scm
index f7542ea759..878620d8c0 100644
--- a/gnu/packages/shellutils.scm
+++ b/gnu/packages/shellutils.scm
@@ -5,6 +5,7 @@
 ;;; Copyright =C2=A9 2017 Stefan Reich=C3=B6r <stefan@HIDDEN>
 ;;; Copyright =C2=A9 2018 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright =C2=A9 2018 Benjamin Slade <slade@HIDDEN>
+;;; Copyright =C2=A9 2019 Collin J. Doering <collin@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -33,11 +34,55 @@
   #:use-module (gnu packages ncurses)
   #:use-module (gnu packages readline)
   #:use-module (gnu packages pkg-config)
+  #:use-module (gnu packages compression)
   #:use-module (guix utils)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system go)
   #:use-module (guix build-system python))
=20
+(define-public z
+  (package
+    (name "z")
+    (version "1.11")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/rupa/z.git")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "13zbgkj6y0qhvn5jpkrqbd4jjxjr789k228iwma5hjfh1nx7ghyb"))))
+    (build-system gnu-build-system)
+    (native-inputs
+     `(("gzip" ,gzip)))
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (delete 'configure)
+         (delete 'build)
+         (delete 'check)
+         (replace 'install
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out"))
+                    (man-path (string-append out "/share/man/man1"))
+                    (install-path (string-append out "/bin")))
+               (mkdir-p install-path)
+               (copy-file "z.sh" (string-append install-path "/z.sh"))
+               (chmod (string-append install-path "/z.sh") #o755)
+
+               (mkdir-p man-path)
+               (invoke "gzip" "z.1")
+               (copy-file "z.1.gz" (string-append man-path "/z.1.gz"))
+               (chmod (string-append man-path "/z.1.gz") #o744)))))))
+    (synopsis "Jump about directories")
+    (description
+     "Tracks your most used directories, based on freecency.  After a short
+learning phase, z will take you to the most frecent directory that matches
+ALL of the regexes given on the command line in order.")
+    (home-page "https://github.com/rupa/z")
+    (license license:expat)))
+
 (define-public envstore
   (package
     (name "envstore")
--=20
2.23.0


--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#37364; Package guix-patches. Full text available.

Message received at 37364 <at> debbugs.gnu.org:


Received: (at 37364) by debbugs.gnu.org; 10 Sep 2019 02:46:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 09 22:46:00 2019
Received: from localhost ([127.0.0.1]:40801 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i7WAJ-0005Hm-V1
	for submit <at> debbugs.gnu.org; Mon, 09 Sep 2019 22:46:00 -0400
Received: from mail-io1-f46.google.com ([209.85.166.46]:33066)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <collin@HIDDEN>) id 1i7WAI-0005HX-AP
 for 37364 <at> debbugs.gnu.org; Mon, 09 Sep 2019 22:45:59 -0400
Received: by mail-io1-f46.google.com with SMTP id m11so34067483ioo.0
 for <37364 <at> debbugs.gnu.org>; Mon, 09 Sep 2019 19:45:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rekahsoft.ca; s=google;
 h=user-agent:from:to:subject:date:message-id:mime-version;
 bh=tSnfDjaySZZBjJnlPbjOkbPb+nrvHujtIzGSIUanqjM=;
 b=EuzKXXijIRJ6OQAtXwtfQis9ZPlSBUFl4/Kz2GdOiIlWL0vVmApV+iPNrFCluZKmRl
 zFs17LeCoHhyj9z/cx63u8by2ZzC5jExfMxG+7cEyRYflZTVCdQq+g5c894vLh4zO2sK
 K7JsEAhTfgICyCV7hBouJdtdjBTT8RAvv/9PV3qJQvYDCpczTSkBG+JTQ6VVSo5JGuDD
 +XNFFZEmW878eYcqWqOqg/skAdsZcJcQthJJJR6hNBBeDotFcm1R5thrk6AofleOTdqY
 YzUe6DVeG4ehbdxQbPwv39765d0gvV1czb/MJkYag72rWZjBuwPxDULCTe9CDXDfQfV6
 PMNQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:user-agent:from:to:subject:date:message-id
 :mime-version;
 bh=tSnfDjaySZZBjJnlPbjOkbPb+nrvHujtIzGSIUanqjM=;
 b=r5f2KyI33xw6o9Z+7l24ZM7IadN4MVAoU5+C1eGNQ1Zjdbgyoz5ubTgkKf3xY+tTRG
 YudeoOXVz70e4RvLP35KF32MCYKTudBPTz1YCUlAtNGnLhrqiJcKb5vG/bwn/BdD4CqL
 A6uIOVMHO+MLCfhUDiGWuYvrL5S3+iUPBVmkK3l1F8wbuivpQZAM4Fw7aq7hsM5wjpR0
 7EiGJsc7ix34oi0Zdz81ZHQiB8l0cHY9otNHhMt0e70mJWCPmDFLX1XcNcc7sDAwmI1q
 8uxGOuRS5Xdwz+tvbtKTdUgtEuqy3W2UrGVYTvAtUgX+ulGGgThBOaIoXRSHLawR/lP6
 I7Cg==
X-Gm-Message-State: APjAAAVyLoHG1BZSk715hSGvch9iwXdw8eu9/55yUwH1ePR8nf2hEBiU
 GJnMHvvPyAfVMW26auB+g2sUnvG7CBCdvPWb
X-Google-Smtp-Source: APXvYqy8L8EsZ8U7edfaXB5IhYXAIEsIKiw5OruKwnqof/+BXVkOewY9VLqquqB4S8aIF6PfSLQkTQ==
X-Received: by 2002:a5d:9856:: with SMTP id p22mr6777039ios.231.1568083552126; 
 Mon, 09 Sep 2019 19:45:52 -0700 (PDT)
Received: from rekahsoft-mini ([2607:fea8:1c60:690::6])
 by smtp.gmail.com with ESMTPSA id x26sm12169820iob.11.2019.09.09.19.45.51
 for <37364 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 09 Sep 2019 19:45:51 -0700 (PDT)
User-agent: mu4e 1.0; emacs 26.3
From: "Collin J. Doering" <collin@HIDDEN>
To: 37364 <at> debbugs.gnu.org
Subject: [PATCH 1/1] gnu: Add z for zsh
Date: Mon, 09 Sep 2019 22:45:49 -0400
Message-ID: <87v9u03m3m.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37364
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


* gnu/packages/shellutils.scm (z): New variable.

Signed-off-by: Collin J. Doering <collin@HIDDEN>
---
 gnu/packages/shellutils.scm | 44 +++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

diff --git a/gnu/packages/shellutils.scm b/gnu/packages/shellutils.scm
index f7542ea759..f4e8e0fbdb 100644
--- a/gnu/packages/shellutils.scm
+++ b/gnu/packages/shellutils.scm
@@ -33,11 +33,55 @@
   #:use-module (gnu packages ncurses)
   #:use-module (gnu packages readline)
   #:use-module (gnu packages pkg-config)
+  #:use-module (gnu packages compression)
   #:use-module (guix utils)
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system go)
   #:use-module (guix build-system python))
 
+(define-public z
+  (package
+    (name "z")
+    (version "1.11")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/rupa/z.git")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "13zbgkj6y0qhvn5jpkrqbd4jjxjr789k228iwma5hjfh1nx7ghyb"))))
+    (build-system gnu-build-system)
+    (native-inputs
+     `(("gzip" ,gzip)))
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (delete 'configure)
+         (delete 'build)
+         (delete 'check)
+         (replace 'install
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out"))
+                    (man-path (string-append out "/share/man/man1"))
+                    (install-path (string-append out "/bin")))
+               (mkdir-p install-path)
+               (copy-file "z.sh" (string-append install-path "/z.sh"))
+               (chmod (string-append install-path "/z.sh") #o755)
+
+               (mkdir-p man-path)
+               (invoke "gzip" "z.1")
+               (copy-file "z.1.gz" (string-append man-path "/z.1.gz"))
+               (chmod (string-append man-path "/z.1.gz") #o744)))))))
+    (synopsis "Jump about directories")
+    (description
+     "Tracks your most used directories, based on freecency.  After a short
+learning phase, z will take you to the most frecent directory that matches
+ALL of the regexes given on the command line in order.")
+    (home-page "https://github.com/rupa/z")
+    (license license:expat)))
+
 (define-public envstore
   (package
     (name "envstore")
-- 
2.23.0




Information forwarded to guix-patches@HIDDEN:
bug#37364; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Sep 2019 02:40:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 09 22:40:21 2019
Received: from localhost ([127.0.0.1]:40795 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i7W4r-00058H-9Y
	for submit <at> debbugs.gnu.org; Mon, 09 Sep 2019 22:40:21 -0400
Received: from lists.gnu.org ([209.51.188.17]:35408)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <collin@HIDDEN>) id 1i7W4q-00058A-2e
 for submit <at> debbugs.gnu.org; Mon, 09 Sep 2019 22:40:20 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33270)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <collin@HIDDEN>) id 1i7W4o-00077M-Sq
 for guix-patches@HIDDEN; Mon, 09 Sep 2019 22:40:19 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <collin@HIDDEN>) id 1i7W4n-0005HW-S3
 for guix-patches@HIDDEN; Mon, 09 Sep 2019 22:40:18 -0400
Received: from mail-io1-xd42.google.com ([2607:f8b0:4864:20::d42]:46409)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <collin@HIDDEN>) id 1i7W4n-0005H4-N2
 for guix-patches@HIDDEN; Mon, 09 Sep 2019 22:40:17 -0400
Received: by mail-io1-xd42.google.com with SMTP id d17so12098933ios.13
 for <guix-patches@HIDDEN>; Mon, 09 Sep 2019 19:40:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rekahsoft.ca; s=google;
 h=user-agent:from:to:subject:date:message-id:mime-version;
 bh=kW42qO5kwkprFoyG7z0G1GNSWYJlt9iEQpWJfrTdZ4s=;
 b=myKiD5NcrwimZr143hdX/bpuHOCBEk36MWOS9GHNyJyNh0X2Ga5QFNromlCUzmNslC
 wjeDLQ7VaV4K+ZjM2nmadrFRbyP1bOmdx44fTRH2Kga7iGBf6VV3iYy276VblhbFEfRN
 UHnbuoIIanfh5ybAzxbLrvqNsBZLxj7iy7jERJPaZA4snLM8u/shOGXTe1J7PH31q0Yb
 tKf1g7Y75sSsFIrXWfbtVzaPDdfh78p0L0oBoeL2uds4Vqw1t9xa3XQayUymsbo2rT6D
 ln2rKZ4iTkvCmVK+OCb2WXKh9BHEEODWy6JNi16HyaoTJqfd9RyOgF17o3NgLCyc/rcJ
 6odg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:user-agent:from:to:subject:date:message-id
 :mime-version;
 bh=kW42qO5kwkprFoyG7z0G1GNSWYJlt9iEQpWJfrTdZ4s=;
 b=sgjiUdJcbhCcmZkXQM/2uYLcZQla1tQgY2CRPCxLzXe03LpIoBmgD/r3/CcXW/o0BF
 jRc2dh2NDUuSwGuuX8UO90c7CtkID/0vZGQaRl2kGykUgJ/IWmHoZZFjtGGdbe78v3xi
 vLLQ02eAdyYLTwx69DRXtYf2OXrn5XrbqadFv0oChmqOVoL7uajG0i8bYEZIxq+q225P
 ya0uxwNfT+kGIcOiUMDtfI6aOuQ0vounnYPBDHWB3PeT8EbcXCDKYLMoUnhPekM8pS1X
 ngM0FygfTQw21Y+hw8SSAXT/VyGNGCkpMk4/DtBCNRIS1WdbUMkzI0LLbmrPO80z8LVr
 fV5Q==
X-Gm-Message-State: APjAAAVSK8MdZBfK0B7K/OaY8CQudqJIKj3VdLmxCDph0Safua+nz+we
 V7dpCR0sxnhibH0bkzcS9vIb5gVu6k22ztUF
X-Google-Smtp-Source: APXvYqx9D4v2ecZjQs624cjhKAXyqi5vjEZ41htiGY+/VOGNwpDyeq9776RvwZMaqm4GFqow7H9oqw==
X-Received: by 2002:a6b:6013:: with SMTP id r19mr26099306iog.94.1568083216176; 
 Mon, 09 Sep 2019 19:40:16 -0700 (PDT)
Received: from rekahsoft-mini ([2607:fea8:1c60:690::6])
 by smtp.gmail.com with ESMTPSA id a13sm10820932ioh.8.2019.09.09.19.40.14
 for <guix-patches@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 09 Sep 2019 19:40:15 -0700 (PDT)
User-agent: mu4e 1.0; emacs 26.3
From: "Collin J. Doering" <collin@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/1] Add z for zsh
Date: Mon, 09 Sep 2019 22:40:13 -0400
Message-ID: <87woeg3mcy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::d42
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Add the small zsh utility for quickly switching directories based on
past usage.

Collin J. Doering (1):
  gnu: Add z for zsh

 gnu/packages/shellutils.scm | 44 +++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

-- 
Collin J. Doering

http://rekahsoft.ca
http://blog.rekahsoft.ca
http://git.rekahsoft.ca




Acknowledgement sent to "Collin J. Doering" <collin@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#37364; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 13 Sep 2019 09:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.